List webhooks
curl --request GET \
--url https://go-fetch.io/api/v1/webhooks/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signing_secret": "<string>",
"failed_deliveries": 123,
"disabled_reason": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"events": "<unknown>",
"is_active": true
}
]
}Webhooks
List webhooks
Your organization’s webhooks, newest first.
GET
/
api
/
v1
/
webhooks
/
List webhooks
curl --request GET \
--url https://go-fetch.io/api/v1/webhooks/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/webhooks/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signing_secret": "<string>",
"failed_deliveries": 123,
"disabled_reason": "<string>",
"last_delivery_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"events": "<unknown>",
"is_active": true
}
]
}Authorizations
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.